<?php declare(strict_types=1);

namespace App\Dto;

final readonly class QuerySettingsDto
{
    public function __construct(
        private int $limit,
        private int $page = 1,
        private array $queryWith = []
    ) { }

    public function getLimit(): int
    {
        return $this->limit;
    }

    public function getPage(): int
    {
        return $this->page;
    }

    public function getQueryWith(): array
    {
        return $this->queryWith;
    }
}
